local setfunc1 = MissionManager.init
function MissionManager:init(...)
	local drill_name = {"drill_small_df___aa.texture", "drill_small_df___bb.texture", "drill_small_df___cc.texture",
		"drill_small_df___dd.texture", "drill_small_df___ee.texture", "drill_small_df___ff.texture",
		"drill_small_df___gg.texture", "drill_small_df___hh.texture", "drill_small_df___ii.texture"}
	local patch = "assets/mod_overrides/Drill_Changer/units/payday2/equipment/gen_interactable_drill_small/"	
	local new_drill = drill_name[math.random(#drill_name)]
	local is_done1 = os.rename(patch .. "drill_small_df.texture", patch .. "drill_small_df2.texture")
	local is_done2 = os.rename(patch .. "" .. new_drill, patch .. "drill_small_df.texture")
	local is_done3 = os.rename(patch .. "drill_small_df2.texture", patch .. "" .. new_drill)
	setfunc1(self, ...)
end